Bug 859751 - Sapphire Edge HD 3 wlan doesn't work properly.
Sapphire Edge HD 3 wlan doesn't work properly.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-23 14:49 EDT by Fabian Deutsch
Modified: 2013-03-13 11:03 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 16:24:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2012-09-23 14:49:43 EDT
Description of problem:
The wireless adapter does not work reliable when using the current kernel
I can not detrmin the wlan adapter in use.

Version-Release number of selected component (if applicable):
kernel-3.5.3-1.fc17

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
http://www.smolts.org/client/show/pub_657459f3-08ac-430c-938a-9e6f089333a8
Comment 1 Fabian Deutsch 2012-09-23 14:50:16 EDT
kernel-3.3.4-5.fc17.x86_64 works better.
Comment 2 Fabian Deutsch 2012-09-24 10:48:18 EDT
Can you elaborate why this has been closed?
Comment 3 Justin M. Forbes 2012-09-24 10:51:38 EDT
Sorry, read that as 3.5.4 (the current update) not 3.3.4 working better. In the meantime, would you mind testing with 3.5.4?
Comment 4 Fabian Deutsch 2012-09-24 10:55:46 EDT
Yep, will test it. Thanks.
Comment 5 Fabian Deutsch 2012-09-24 11:13:54 EDT
The kernel module in use is r8712u
Comment 6 Fabian Deutsch 2012-09-24 11:37:54 EDT
(In reply to comment #3)
> Sorry, read that as 3.5.4 (the current update) not 3.3.4 working better. In
> the meantime, would you mind testing with 3.5.4?

3.5.4 has the same issues as 3.5.3. So not working well.
Comment 7 Josh Boyer 2013-01-02 12:39:09 EST
Are you still seeing this with the 3.6.11 or newer kernel updates?
Comment 8 Larry Finger 2013-01-02 12:49:49 EST
In addition, please post the md5sum for file /lib/firmware/rtlwifi/rtl8712u.bin.
Comment 9 Josh Boyer 2013-03-12 16:24:52 EDT
Closing this out due to lack of response.  If you're still seeing this with 3.7.9 or 3.8.2, please let us know and answer Larry's question in comment #8.
Comment 10 Fabian Deutsch 2013-03-12 16:57:24 EDT
I didn't note that input was needed - darn. Now testing the reliability.

$ md5sum /lib/firmware/rtlwifi/rtl8712u.bin
200fd952db3cc9259b1fd05e3e51966f  /lib/firmware/rtlwifi/rtl8712u.bin
Comment 11 Fabian Deutsch 2013-03-12 17:06:42 EDT
And it seems to be more reliable compared to before.
I shove some data over the wireless link and it didn't break down.
Comment 12 Larry Finger 2013-03-12 17:34:43 EDT
That is the correct firmware (finally).
Comment 13 Fabian Deutsch 2013-03-13 03:49:30 EDT
(In reply to comment #12)
> That is the correct firmware (finally).

So the problem was an incorrect firmware?
Comment 14 Larry Finger 2013-03-13 10:51:15 EDT
For a time, the official firmware repositories included a firmware version that failed on some devices. Unfortunately, my device did not fail, thus the problem did not show up in my testing.

Your problem may have been faulty firmware, but we will likely never know. As the result of testing on another b.r.c report, we identified the problem and Fedora reverted the firmware version. The faulty firmware was included in the linux-firmware repo in July 2012 and reverted in September 2012.
Comment 15 Fabian Deutsch 2013-03-13 11:03:32 EDT
Right, thanks for that explanation!

And have a nice day :)

Note You need to log in before you can comment on or make changes to this bug.